Bugzilla will be upgraded to version 5.0 on a still to be determined date in the near future. The original upgrade date has been delayed.
Bug 625891 - screen resolution oddity
screen resolution oddity
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-nouveau (Show other bugs)
14
All Linux
low Severity medium
: ---
: ---
Assigned To: Ben Skeggs
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-08-20 13:50 EDT by Bruno Wolff III
Modified: 2010-10-07 15:47 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-10-07 15:47:16 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Bruno Wolff III 2010-08-20 13:50:03 EDT
Description of problem:
I have a system with an nv28 running rawhide. The monitor doesn't do EDID properly so I need to use an xorg.conf file to create a modeline for the native screen resolution. gdm's output looks fine, but when I first login the screen is divided to to four slightly differently shaded regions. The cursor controlled by the mouse will only move within the upper left region. Going into the monitor preferences and Ok'ing the current setting (my custom one) results in the screen having uniform shading and the cursor being movable over the whole display.
I have another rawhide machine with an rv530 and a monitor that does do EDID and for which I am not using an xorg.conf file, that doesn't have this problem.

Version-Release number of selected component (if applicable):


How reproducible:
It is consistent on that one machine, but I am not sure how reproducable it is on other machines.

Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
I took a flyer on the component, it could esily be the case that it isn't the driver but rather some part of gnome or X that is the problem.
Comment 1 Bruno Wolff III 2010-09-29 01:08:52 EDT
While I think there is still a bug here, I found I was doing something wrong in my xorg.cong file. Fixing it made the problem go away. Rather than using a modes command in the display section to specify a region I was trying to use the virtual command to do it. When I put in my user defined mode on a modes command instead, things worked as expected.
Comment 2 Adam Williamson 2010-10-07 15:47:16 EDT
I don't *think* this is a bug as Virtual doesn't do exactly what you want...

Note You need to log in before you can comment on or make changes to this bug.